Skip to Content
veriom

Update conversation

PATCH
/v1/workspaces/{workspace_id}/assistant/conversations/{conversation_id}

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
conversation_id*Conversation Id
Formatuuid

Request Body

application/json
  1. body
status?|null
title?|null

Response Body

Successful Response

application/json
  1. response
context_snapshot_id*|null
created_at*Created At
Formatdate-time
created_by*Created By
Formatuuid
id*Id
Formatuuid
messages*array<>
runs*array<>
status*Status
title*Title
updated_at*Updated At
Formatdate-time
Example Request
curl -X PATCH 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/assistant/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "context_snapshot_id": "975da57c-75b7-414d-8086-534aa86baded",  "created_at": "2019-08-24T14:15:22Z",  "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "messages": [    {      "author_id": "78424c75-5c41-4b25-9735-3c9f7d05c59e",      "content": "string",      "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",      "created_at": "2019-08-24T14:15:22Z",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "role": "user",      "structured": {}    }  ],  "runs": [    {      "assistant_message_id": "bb34c082-20a7-446a-a2d9-976d65d15191",      "cache_hit": true,      "completed_at": "2019-08-24T14:15:22Z",      "context_snapshot_id": "975da57c-75b7-414d-8086-534aa86baded",      "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",      "created_at": "2019-08-24T14:15:22Z",      "error_code": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "route": "string",      "skill_id": "string",      "specialist": "string",      "started_at": "2019-08-24T14:15:22Z",      "status": "string",      "user_message_id": "1798585b-bc85-46b6-801b-ecb7c9ceed07"    }  ],  "status": "string",  "title": "string",  "updated_at": "2019-08-24T14:15:22Z"}